Bug 868711 - Include "gluster volume geo-replication status" in the gluster sos plugin
Summary: Include "gluster volume geo-replication status" in the gluster sos plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 6.5
Assignee: Bryn M. Reeves
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 1036752
TreeView+ depends on / blocked
 
Reported: 2012-10-21 22:16 UTC by Brad Hubbard
Modified: 2016-04-18 10:21 UTC (History)
7 users (show)

Fixed In Version: sos-2.2-43.el6
Doc Type: Enhancement
Doc Text:
Feature: The gluster plug-in now collects the output of the "gluster volume geo-replication-status" command by default. Reason: This diagnostic output may be important for debugging problems related to Gluster geographic replication. Result (if any):
Clone Of:
: 1036752 (view as bug list)
Environment:
Last Closed: 2013-11-21 22:35:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1688 normal SHIPPED_LIVE sos bug fix and enhancement update 2013-11-21 00:39:30 UTC

Description Brad Hubbard 2012-10-21 22:16:52 UTC
Description of problem:

The sos gluster plugin should capture the output of the "gluster volume geo-replication status" command.

Comment 1 Bryn M. Reeves 2012-10-22 09:46:20 UTC
Can you file or clone this against the RHS component? Gluster folks want to retain control of the gluster module so this needs to be reviewed by them first (we just removed all the volume status stuff at their request).

Comment 2 Brad Hubbard 2012-10-22 20:52:29 UTC
Hey Bryn,

Already done, 868712.

Comment 3 Bryn M. Reeves 2013-06-03 12:54:24 UTC
Setting devel_ack based on RHS acceptance of this change in bug 868712.

Comment 4 Bryn M. Reeves 2013-08-12 19:03:35 UTC
Patches do not apply cleanly to the rhel-6 branch; looks like other changes have been made in the downstream (RHS) package.

I need to look into this before I can include this in 6.5.

If there are further differences then it may be preferable for us to just re-sync the gluster.py with the version in RHS - I don't want these two to diverge over time.

Comment 10 errata-xmlrpc 2013-11-21 22:35:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1688.html


Note You need to log in before you can comment on or make changes to this bug.